summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2012-01-10 14:18:24 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2012-01-10 15:59:33 +0530
commit00c0aa94f846cadd59be1111a88caf00e2c1b666 (patch)
tree1251f339eaa70dc21d1bf818caf4d54a74abda3d
parent7ae87eb9158bbd29af6beb561616b2ce75a85cd2 (diff)
3557: check if files are put directly to backend (no gfid), self-heal daemon crashes
Change-Id: I9119dd2051968d1d00b748eebd3849c8b141570b BUG: 3557 Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com>
-rwxr-xr-xdvm/3557/testcase31
1 files changed, 31 insertions, 0 deletions
diff --git a/dvm/3557/testcase b/dvm/3557/testcase
new file mode 100755
index 0000000..423e71d
--- /dev/null
+++ b/dvm/3557/testcase
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers;
+}
+
+function glustershd_no_gfid ()
+{
+ $GLUSTERFSDIR/gluster volume create --mode=script $global_bug_id replica 2 $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 &>/dev/null;
+
+ touch $EXPORT_DIR/$global_bug_id/export1/{1..10};
+
+ $GLUSTERFSDIR/gluster volume start $global_bug_id &>/dev/null;
+
+ ps aux | grep glusterfs | grep glustershd &>/dev/null;
+
+ if [ $? -ne 0 ]; then
+ return 1;
+ fi
+
+ $GLUSTERFSDIR/gluster volume heal $global_bug_id &>/dev/null;
+
+ ps aux | grep glusterfs | grep glustershd &>/dev/null;
+
+ if [ $? -ne 0 ]; then
+ return 1;
+ fi
+}
+
+_init ; glustershd_no_gfid \ No newline at end of file